package com.ruoyi.web.modules.cart.domain;

import java.util.Date;

/**
 * 会员购物车行 biz_member_cart_item
 */
public class BizMemberCartItem
{
    private Long cartItemId;

    private Long memberId;

    private Long shopId;

    private Long goodsId;

    private String specKey;

    private String specText;

    private Integer quantity;

    private String checked;

    private Date createTime;

    private Date updateTime;

    public Long getCartItemId()
    {
        return cartItemId;
    }

    public void setCartItemId(Long cartItemId)
    {
        this.cartItemId = cartItemId;
    }

    public Long getMemberId()
    {
        return memberId;
    }

    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }

    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getSpecKey()
    {
        return specKey;
    }

    public void setSpecKey(String specKey)
    {
        this.specKey = specKey;
    }

    public String getSpecText()
    {
        return specText;
    }

    public void setSpecText(String specText)
    {
        this.specText = specText;
    }

    public Integer getQuantity()
    {
        return quantity;
    }

    public void setQuantity(Integer quantity)
    {
        this.quantity = quantity;
    }

    public String getChecked()
    {
        return checked;
    }

    public void setChecked(String checked)
    {
        this.checked = checked;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Date getUpdateTime()
    {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime)
    {
        this.updateTime = updateTime;
    }
}
